budgy-budget/src/app/Views/pug/dialog-step-three.component.pug
div.container
	
	div.content
		div.pre-header
			span.go-back
				a([routerLink]="['/step-two']" mat-button)
					img(src="assets/back.png" alt="Go back")
		div.header.p-t-0
			step-progress([current_step]="3")
		div.body.p-t-20
			p Name
			input(type="text", [(ngModel)]="budget_model.name")
			p Email
			input(type="text", [(ngModel)]="budget_model.email")
			p Address
			input(type="text", [(ngModel)]="budget_model.address")
			p Phone number
			input(type="text", [(ngModel)]="budget_model.phone")

	div.footer
		a((click)="saveForm()", [routerLink]="['/finish']", mat-flat-button, style="font-size:1.2em;") Finish

budgy-budget/src/app/Views/dialog-step-three.component.html

<div class="container">
  <div class="content">
    <div class="pre-header"><span class="go-back"><a [routerLink]="['/step-two']" mat-button="mat-button"><img src="assets/back.png" alt="Go back"/></a></span></div>
    <div class="header p-t-0">
      <step-progress [current_step]="3"></step-progress>
    </div>
    <div class="body p-t-20">
      <p>Name</p>
      <input type="text" [(ngModel)]="budget_model.name"/>
      <p>Email</p>
      <input type="text" [(ngModel)]="budget_model.email"/>
      <p>Address</p>
      <input type="text" [(ngModel)]="budget_model.address"/>
      <p>Phone number</p>
      <input type="text" [(ngModel)]="budget_model.phone"/>
    </div>
  </div>
  <div class="footer"><a (click)="saveForm()" [routerLink]="['/finish']" mat-flat-button="mat-flat-button" style="font-size:1.2em;">Finish</a></div>
</div>
